# Created by pyp2rpm-3.3.5
# imported for ipython / stack_data
%global pypi_name pure-eval

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        %mkrel 1
Summary:        Safely evaluate AST nodes without side effects
Group:          Development/Python
License:        MIT
URL:            http://github.com/alexmojaki/pure_eval
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pure_eval-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
pure_eval is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)
%description -n python3-%{pypi_name}
pure_eval is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.


%prep
%autosetup -n pure_eval-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pure_eval


%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md



%changelog
* Sat Feb 18 2023 papoteur <papoteur> 0.2.2-1.mga9
+ Revision: 1943933
- imported package python-pure-eval

